ESS modem driver compiles with 2.6.32.28

Very good news. I reported recently that I managed to get all but two of my collection of analog modem drivers to compile with the 2.6.32.28 kernel. The ESS modem driver was one of them.

I have communicated with Jeff Trull, the maintainer of the ESS driver, and he has informed me of a later version. This is where Jeff posts the source tarballs:
http://tx.technion.ac.il/~raindel/

I was able to compile the "0.6" version. This is great, just one driver to go. I reckon I can move Wary up to use this as the recommended kernel. 2.6.32.x is a long-term supported kernel, whereas 2.6.31.14 (used in Wary 5.0) is end-of-the-line.

Here is the kernel PET with ESS driver (usable by Woof developers only) (31MB):
http://distro.ibiblio.org/pub/linux/distributions/quirky/pet_packages-wary5/linux_kernel-2.6.32.28-1-w5.pet

I patched the ESS source so that it will compile without the ESS modem card being present. Get the source from my source repo:
http://bkhome.org/sources/kernel-2.6.32.28/3rd-party-UPDATES-12FEB2011/modems/

Here is my previous blog post on the 2.6.32.28 kernel:
http://bkhome.org/blog/?viewDetailed=02134


Posted on 12 Feb 2011, 19:05


No comments posted yet.